Subject: Re: [PATCH] setup.exe: removes some memory leaks from fromcwd.cc
From: Robert Collins <[email-masked]>
To: Pavel Tsekov <[email-masked]>
Cc: [email-masked]
Date: 06 Nov 2001 09:05:31 +1100

On Mon, 2001-11-05 at 21:04, Pavel Tsekov wrote:
> Robert Collins wrote:
> > 
> 
> [ snip ]
> 
> > I haven't committed this leak - no changelog.
> 
> Good, cause I've messed it - I'm an idiot :(. Attached is the right one.
> And here is the Changelog entry.
> 

Thanks. Committed to HEAD.
Feel free to find and send in such things. I've got a large chunk of
work I hope to send a patch to cygwin-patches on tonight, which catches
a lot of potential bugs - I've increased the compiler warning levels
somewhat :}.

Unfortunately it's tied up with my streams work, so rather than
committing with that in-progress (I haven't got one-of-each done yet)
I'm going to send in a patch, which you can play with. The point of this
is that a lot of the more mundane things you might notice should have
been cleaned up in advance by this.

Rob

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/